Subject: Re: [RFC PATCH] Add "git show --follow-symlinks HEAD:symlink"

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 09 Apr 2018 11:28:45 +0200

On Mon, Apr 09 2018, Michael Vogt wrote:

> I noticed that `git show HEAD:path-to-symlink` does not work and
> returns an error like:
> "fatal: Path 'debian/changelog' exists on disk, but not in 'HEAD'."
>
> Looking at `git show` it seems there is no way right now to make
> git-show show blobs if they are symlinks [1].
>
> It would be nice to have this ability. Attached is a draft patch to
> allow to write: `git show --follow-symlinks HEAD:path-to-symlink`.
> Tests are missing in the patch, I'm happy to add those if there is a
> chance for the feature to get in.
>
> Cheers,
>  Michael
>
> [1] Using `git cat-file --follow-symlinks --batch < input` works but
>     feels a bit less elegant compared to supporting it directly in
>     git-show.
> From 616b7f21c057656960cb6b8a266095bbef734122 Mon Sep 17 00:00:00 2001
> From: Michael Vogt <[email-masked]>
> Date: Mon, 9 Apr 2018 10:38:13 +0200
> Subject: [PATCH] support: git show --follow-symlinks HEAD:symlink
>
> Add support for the `--follow-symlinks` options to git-show. This
> allows to write:
>
>     git show --follow-symlink HEAD:path-a-symlink

The patch looks reasonable, but please submit it as described in
Documentation/SubmittingPatches, i.e. inline instead of as an
attachment, and with a signed-off-by line etc. We'd also need some tests
for this.